## why 2.03.dfsg

=== doc/Makefile ===

all: manual.ps doc.ps

doc.dvi: doc.tex rules.tex macros.tex code.tex dep.ps

SRCFILES=../src/loc.mli ../src/logic.mli ../src/types.mli \
	 ../src/ptree.mli ../src/ltyping.mli ../src/ast.mli ../src/env.mli \
         ../src/typing.mli ../src/typing.ml ../src/wp.mli ../src/wp.ml \
	 ../src/monad.mli ../src/monad.ml ../src/mlize.mli ../src/mlize.ml

dep.ps:
	(cd ../src; ocamldep *.ml* | ocamldot | dot -Tps) > dep.ps

code.tex: $(SRCFILES)
	ocamlweb --no-preamble -o $@ $(SRCFILES)

manual.ps: manual.tex
	latex manual
	latex manual
	makeindex manual
	latex manual
	dvips manual.dvi -o manual.ps

manual.html: manual.tex
	hevea manual.tex

caduceus.ps: caduceus.tex
	latex caduceus
	latex caduceus
	makeindex caduceus
	latex caduceus
	dvips caduceus.dvi -o caduceus.ps

caduceus.html: caduceus.tex
	hevea caduceus.tex

%.dvi: %.tex
	latex $< && latex $<

%.ps: %.dvi
	dvips -o $@ $<

clean::
	rm -f *~ *.dvi *.log *.aux *.toc dep.ps doc.ps manual.ps caduceus.ps

=== examples-c/tutorial/Makefile ===

CADUCEUS=../../bin/caduceus.opt
CADUCEUSLIB=$(shell pwd)/../../lib
EXECCADUCEUS=CADUCEUSLIB=$(CADUCEUSLIB) $(CADUCEUS)

FILES = max abs swap search purse binary_search

TODO = average

coq: $(FILES)

allcoq:
	for f in $(FILES); do \
	  caduceus $$f.c; \
	  rm -f coq/caduceus_spec_why.v; \
	  make -f $$f.makefile depend; \
	  make -f $$f.makefile coq; \
	done

simplify:
	for f in $(FILES); do \
	  caduceus $$f.c; \
	  make -f $$f.makefile simplify; \
	done

cvcl:
	for f in $(FILES); do \
	  caduceus $$f.c; \
	  make -f $$f.makefile cvcl; \
	done

.PHONY: coq simplify cvcl

why/%.why: %.c 
	$(EXECCADUCEUS) $<

%: %.c
	rm -f why/$*.why
	make why/$*.why
	make -f $*.makefile gui

%.coq: %.c
	rm -f why/$*.why
	make why/$*.why
	make -f $*.makefile coq


clean:
	for f in $(FILES); do make -f $$f.makefile clean; done
	rm -f why/*.why

=== examples/misc/Makefile ===

# VO=swap0_valid.vo loop0_valid.vo peano_valid.vo power_valid.vo \
#      arith_valid.vo mac_carthy_valid.vo fib_valid.vo gcd_valid.vo \
#      flag_valid.vo search_valid.vo sqrt_dicho_valid.vo \
#      max_valid.vo
VO=swap0_valid.vo loop0_valid.vo peano_valid.vo power_valid.vo \
     arith_valid.vo mac_carthy_valid.vo fib_valid.vo gcd_valid.vo \
     flag_valid.vo search_valid.vo sqrt_dicho_valid.vo \
     max_valid.vo flag_ax_valid.vo sum_valid.vo

# csearch_valid.vo copy_valid.vo 

all: $(VO)

include ../Makefile.common

## why 2.04.dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+HEVEA=hevea -charset ISO-8859-1
 
 all: manual.ps doc.ps
 
@@ -22,7 +23,9 @@
 	dvips manual.dvi -o manual.ps
 
 manual.html: manual.tex
-	hevea manual.tex
+	rm -f manual.aux
+	$(HEVEA) manual.tex
+	$(HEVEA) manual.tex
 
 caduceus.ps: caduceus.tex
 	latex caduceus
@@ -32,13 +35,15 @@
 	dvips caduceus.dvi -o caduceus.ps
 
 caduceus.html: caduceus.tex
-	hevea caduceus.tex
+	rm -f caduceus.aux
+	$(HEVEA) caduceus.tex
+	$(HEVEA) caduceus.tex
 
 %.dvi: %.tex
 	latex $< && latex $<
 
-%.ps: %.dvi
-	dvips -o $@ $<
+# %.ps: %.dvi
+# 	dvips -o $@ $<
 
 clean::
 	rm -f *~ *.dvi *.log *.aux *.toc dep.ps doc.ps manual.ps caduceus.ps

=== examples-c/sorting/Makefile ===

CADUCEUS=../../bin/caduceus.opt
CADUCEUSLIB=$(shell pwd)/../../lib
EXECCADUCEUS=CADUCEUSLIB=$(CADUCEUSLIB) $(CADUCEUS)

FILES = selection

TODO = selection

coq: $(FILES)

allcoq:
	for f in $(FILES); do \
	  $(EXECCADUCEUS) $$f.c; \
	  make -f $$f.makefile depend; \
	  make -f $$f.makefile coq; \
	done

simplify:
	for f in $(FILES); do \
	  $(EXECCADUCEUS) $$f.c; \
	  make -f $$f.makefile simplify; \
	done

cvcl:
	for f in $(FILES); do \
	  $(EXECCADUCEUS) $$f.c; \
	  make -f $$f.makefile cvcl; \
	done

.PHONY: coq simplify cvcl

why/%.why: %.c 
	rm -f coq/caduceus_spec_why.v
	$(EXECCADUCEUS) $<

%: %.c
	rm -f why/$*.why
	make why/$*.why
	make -f $*.makefile coq

clean:
	make -f selection.makefile clean
	rm -f why/*.why

## why 2.13

=== atp/Makefile ===
# List of ML files to compile as a library. This leaves out the following
# which are probably not much use:
#
# sigma.ml       (Sigma-formulas and evaluator-by-proof)
# turing.ml      (OCaml implementation of Turing machines)
# undecidable.ml (Proofs related to undecidability results)
# bhk.ml         (Trivial instance of BHK interpretation)
# many.ml        (Example relevant to many-sorted logic)
# hol.ml         (Simple higher order logic setup)

#MLFILES = lib.ml intro.ml formulas.ml prop.ml propexamples.ml           \
          defcnf.ml dp.ml stal.ml bdd.ml fol.ml skolem.ml               \
          herbrand.ml unif.ml tableaux.ml resolution.ml prolog.ml       \
          meson.ml skolems.ml equal.ml cong.ml rewrite.ml               \
          order.ml completion.ml orewrite.ml eqelim.ml                  \
          paramodulation.ml decidable.ml qelim.ml cooper.ml             \
          complex.ml grobner.ml real.ml geom.ml interpolation.ml        \
          combining.ml transition.ml temporal.ml model.ml ltl.ml        \
          ste.ml lcf.ml hilbert.ml lcfprop.ml lcffol.ml checking.ml     \
          tactics.ml

MLFILES = lib.ml intro.ml formulas.ml prop.ml propexamples.ml           \
	  defcnf.ml dp.ml fol.ml skolem.ml herbrand.ml qelim.ml         \
	  cooper.ml fourier_motzkin.ml

# The default is to build a bytecode executable

bytecode: example.ml atp.cmo; ocamlc -pp "camlp4o ./Quotexpander.cmo" -o example nums.cma atp.cmo example.ml

# Alternatively, produce native code

compiled: example.ml atp.cmx; ocamlopt -pp "camlp4o ./Quotexpander.cmo" -o example nums.cmxa atp.cmx example.ml

# Make the appropriate object for the main body of code

atp.cmx: Quotexpander.cmo atp.ml; ocamlopt -pp "camlp4o ./Quotexpander.cmo" -w ax -c atp.ml

atp.cmo: Quotexpander.cmo atp.ml; ocamlc -pp "camlp4o ./Quotexpander.cmo" -w ax -c atp.ml

# Make the camlp4 quotation expander

Quotexpander.cmo: Quotexpander.ml; ocamlc -I +camlp4 -c Quotexpander.ml

# Extract the non-interactive part of the code

atp.ml: $(MLFILES); ./Mk_ml_file $(MLFILES) >atp.ml

# Clean up

clean:; -rm -f atp.cma atp.cmi atp.cmo atp.cmx atp.o atp.ml example example.cmi example.cmo example.cmx example.o Quotexpander.cmo Quotexpander.cmi

=== doc/Makefile ===
HEVEA=hevea -charset ISO-8859-1

all: main.pdf manual.ps caduceus.ps $(KFILES) krakatoa.pdf

doc.dvi: doc.tex rules.tex macros.tex code.tex dep.ps

SRCFILES=../src/loc.mli ../src/logic.mli ../src/types.mli \
	 ../src/ptree.mli ../src/ltyping.mli ../src/ast.mli ../src/env.mli \
         ../src/typing.mli ../src/typing.ml ../src/wp.mli ../src/wp.ml \
	 ../src/monad.mli ../src/monad.ml ../src/mlize.mli ../src/mlize.ml

KFILES=Lesson1_max.pp \
	Lesson1_sqrt.pp Lesson1_sqrtbody.pp Lesson1_sqrtloopinv.pp \
	Lesson1_lemmas.pp Lesson1_pragma.pp Lesson1_sqrtdecr.pp \
	Arrays_findMax.pp Arrays_findMaxbody.pp \
	Arrays_findMax2.pp Arrays_shift.pp \
	Purse.pp Purse0.pp Purse_test1.pp Purse_test2.pp Purse2.pp \
	Purse_withdraw2.pp \
	Flag.pp Flag1.pp Flag_inv.pp Flag_isMonochrome.pp Flag_flag.pp \
	Flag_swap.pp Flag_body.pp \
	contracts.bnf lexpr.bnf \
	Gcd-nospec.pp Gcd-spec.pp Gcd.pp Gcd-lemmas.pp

dep.ps:
	(cd ../src; ocamldep *.ml* | ocamldot | dot -Tps) > dep.ps

code.tex: $(SRCFILES)
	ocamlweb --no-preamble -o $@ $(SRCFILES)

logo-why.pdf: logos.tex
	pdflatex logos.tex

logo-why.png: logo-why.pdf
	pdftoppm logos.pdf | pnmcrop | pnmtopng > logowhy.png

logo-why-small.png:

manual.ps: manual.tex version.tex
	latex manual
	latex manual
	makeindex manual
	latex manual
	dvips manual.dvi -o manual.ps

manual.html: manual.tex version.tex
	rm -f manual.aux
	$(HEVEA) manual.tex
	$(HEVEA) manual.tex

caduceus.ps: caduceus.tex version.tex
	latex caduceus
	bibtex caduceus
	makeindex caduceus
	latex caduceus
	latex caduceus
	dvips caduceus.dvi -o caduceus.ps

caduceus.html: caduceus.tex version.tex
	rm -f caduceus.aux
	$(HEVEA) caduceus.tex
	$(HEVEA) caduceus.tex

krakatoa.pdf: $(KFILES) krakatoa.tex version.tex
	pdflatex krakatoa.tex
	bibtex krakatoa
	makeindex krakatoa
	pdflatex krakatoa.tex
	pdflatex krakatoa.tex

february2008.pdf: $(KFILES) version.tex
	pdflatex february2008.tex

krakatoa.html: krakatoa.tex version.tex
	rm -f krakatoa.aux
	$(HEVEA) krakatoa.tex
	$(HEVEA) krakatoa.tex

main.html: main.tex version.tex
	rm -f main.aux
	$(HEVEA) main.tex
	$(HEVEA) main.tex


main.pdf: main.tex version.tex
	pdflatex main.tex


%.pp: %.tex pp
	./pp $< > $@

%.pp: %.c pp
	./pp -c $< > $@

%.pp: %.java pp
	./pp -java $< > $@

%.dvi: %.tex
	latex $< && latex $<

%.ps: %.dvi
	dvips -o $@ $<

%.eps: %.dia
	dia --filter=eps-builtin $^

%.pdf: %.eps
	epstopdf $^

%.tex: %.dia
	dia --filter=tex $^

%.png: %.dia
	dia --filter=png --size=2048,1536 $^

%.bnf: %.tex tex2bnf
	./tex2bnf < $< > $@

tex2bnf: tex2bnf.ml
	ocamlopt.opt -o $@ $^

pp: pp.ml
	ocamlopt.opt -o $@ $^

%.ml: %.mll
	ocamllex.opt $<

clean::
	rm -f *~ *.dvi *.log *.aux *.toc \
	dep.ps doc.ps manual.ps caduceus.ps krakatoa.pdf main.pdf

=== examples-c/Makefile ===

DIRS = tutorial sorting g4 linked-lists schorr-waite

all: 
	for d in $(DIRS); do \
		if make -C $$d coq; then \
			echo "Coq proofs OK in $$d" ; \
		else \
			echo "Coq proofs FAILED in $$d" ; \
			exit 1 ;\
		fi ; \
	done

bench:
	make -C tutorial allcoq
	for d in $(DIRS); do make -C $$d simplify; done

clean:
	for d in $(DIRS); do make -C $$d clean; done

=== examples/Makefile ===

DIRS = misc binary-search bresenham quicksort edit-distance heapsort sqrt kmp \
       selectionsort find quicksort2 maximumsort 
# string-matching
# binary-search-c

all: 
	for d in $(DIRS); do make -C $$d; done

simplify:
	for d in $(DIRS); do make -C $$d simplify; done

clean::
	rm -f */*~ */*.vo

depend::
	for d in $(DIRS); do make -C $$d depend; done

=== examples-c/g4/Makefile ===

CADUCEUS=../../bin/caduceus.opt
CADUCEUSLIB=$(shell pwd)/../../lib
EXECCADUCEUS=CADUCEUSLIB=$(CADUCEUSLIB) $(CADUCEUS)

FILES = g4

TODO = g4

coq: $(FILES)

allcoq:
	for f in $(FILES); do \
	  $(EXECCADUCEUS) $$f.c; \
	  make -f $$f.makefile depend; \
	  make -f $$f.makefile coq; \
	done

simplify:
	for f in $(FILES); do \
	  $(EXECCADUCEUS) $$f.c; \
	  make -f $$f.makefile simplify; \
	done

cvcl:
	for f in $(FILES); do \
	  $(EXECCADUCEUS) $$f.c; \
	  make -f $$f.makefile cvcl; \
	done

.PHONY: coq simplify cvcl

why/%.why: %.c 
	rm -f coq/caduceus_spec_why.v
	$(EXECCADUCEUS) $<

%: %.c
	rm -f why/$*.why
	make why/$*.why
	make -f $*.makefile coq

clean:
	make -f g4.makefile clean
	rm -f why/*.why

=== examples-c/linked-lists/Makefile ===

CADUCEUS=../../bin/caduceus.opt 
CADUCEUSLIB=$(shell pwd)/../../lib
EXECCADUCEUS=CADUCEUSLIB=$(CADUCEUSLIB) $(CADUCEUS)

FILES = swap reverse

all: swap reverse

reverse:
	$(EXECCADUCEUS) reverse.c
	make -f reverse.makefile simplify
	make -f reverse.makefile coq

swap:
	$(EXECCADUCEUS) swap.c
	make -f swap.makefile simplify
	make -f swap.makefile coq

simplify:
	for f in $(FILES); do \
	  $(EXECCADUCEUS) $$f.c; \
	  make -f $$f.makefile simplify; \
	done

%: %.c 
	$(EXECCADUCEUS) $*.c
	make -f $*.makefile simplify
	make -f $*.makefile coq

.PHONY: coq simplify cvcl

clean:
	make -f reverse.makefile clean
	make -f swap.makefile clean
	make -f has_cycle.makefile clean
	rm -f why/*.why

=== examples-c/schorr-waite/Makefile ===

all: schorr_waite

transparent.ps: transparent.dvi
	dvips transparent.dvi -o transparent.ps

transparent.pdf: transparent.dvi
	dvipdf transparent.dvi 

transparent.dvi: transparent.tex
	latex transparent

%: %.c 
	caduceus $*.c
	make -f $*.makefile simplify
	make -f $*.makefile depend
	make -f $*.makefile coq

schorr_waite_split:
	caduceus -why-opt "--split" schorr_waite_split.c
	make -f schorr_waite_split.makefile simplify

clean:
	make -f schorr_waite.makefile clean
	rm -f why/*.why

=== examples-c/sorting/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 
-CADUCEUS=../../bin/caduceus.opt
+CADUCEUS=../../bin/caduceus.opt -why-opt -split-user-conj
 CADUCEUSLIB=$(shell pwd)/../../lib
 EXECCADUCEUS=CADUCEUSLIB=$(CADUCEUSLIB) $(CADUCEUS)
 
-FILES = selection
+FILES = quicksort selection
 
 TODO = selection
 
@@ -20,6 +20,12 @@
 	for f in $(FILES); do \
 	  $(EXECCADUCEUS) $$f.c; \
 	  make -f $$f.makefile simplify; \
+	done
+
+gui:
+	for f in $(FILES); do \
+	  $(EXECCADUCEUS) $$f.c; \
+	  make -f $$f.makefile gui; \
 	done
 
 cvcl:

=== examples-c/tutorial/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	for f in $(FILES); do \
 	  caduceus $$f.c; \
 	  rm -f coq/caduceus_spec_why.v; \
-	  make -f $$f.makefile depend; \
+	  make -f $$f.makefile coq.depend; \
 	  make -f $$f.makefile coq; \
 	done

=== examples/algo-63-64-65/Makefile ===

VO=algo64_valid.vo algo65_valid.vo

all: algo64_valid.vo algo65_valid.vo

include ../Makefile.common

=== examples/dijkstra/Makefile ===

dijkstra_why.v: dijkstra.why
	../../bin/why.opt --coq -split-user-conj $^

=== examples/find/Makefile ===

VO=find_valid.vo

all: find_lemmas.vo find_proofs.vo find_spec.vo 

include ../Makefile.common

## why 2.18.dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-HEVEA=hevea -charset ISO-8859-1
+HEVEA=hevea -fix
 
 all: main.pdf manual.ps caduceus.ps $(KFILES) krakatoa.pdf
 
@@ -45,7 +45,6 @@
 manual.html: manual.tex version.tex
 	rm -f manual.aux
 	$(HEVEA) manual.tex
-	$(HEVEA) manual.tex
 
 caduceus.ps: caduceus.tex version.tex
 	latex caduceus
@@ -57,7 +56,6 @@
 
 caduceus.html: caduceus.tex version.tex
 	rm -f caduceus.aux
-	$(HEVEA) caduceus.tex
 	$(HEVEA) caduceus.tex
 
 krakatoa.pdf: $(KFILES) krakatoa.tex version.tex
@@ -73,11 +71,9 @@
 krakatoa.html: krakatoa.tex version.tex
 	rm -f krakatoa.aux
 	$(HEVEA) krakatoa.tex
-	$(HEVEA) krakatoa.tex
 
 main.html: main.tex version.tex
 	rm -f main.aux
-	$(HEVEA) main.tex
 	$(HEVEA) main.tex

=== examples/misc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #      max_valid.vo
 VO=swap0_valid.vo loop0_valid.vo peano_valid.vo power_valid.vo \
      arith_valid.vo mac_carthy_valid.vo fib_valid.vo gcd_valid.vo \
-     flag_valid.vo search_valid.vo sqrt_dicho_valid.vo \
+     search_valid.vo sqrt_dicho_valid.vo \
      max_valid.vo flag_ax_valid.vo sum_valid.vo
 
 # csearch_valid.vo copy_valid.vo 
@@ -13,3 +13,8 @@
 all: $(VO)
 
 include ../Makefile.common
+
+flag_ax_why.why: flag_ax.mlw
+	$(WHY) --why --no-arrays $^
+
+

## why 2.23+dfsg

=== frama-c-plugin/Makefile ===
##########################################################################
#                                                                        #
#  This file is part of Frama-C.                                         #
#                                                                        #
#  Copyright (C) 2007-2009                                               #
#    INRIA (Institut National de Recherche en Informatique et en         #
#           Automatique)                                                 #
#                                                                        #
#  you can redistribute it and/or modify it under the terms of the GNU   #
#  Lesser General Public License as published by the Free Software       #
#  Foundation, version 2.1.                                              #
#                                                                        #
#  It is distributed in the hope that it will be useful,                 #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#  GNU Lesser General Public License for more details.                   #
#                                                                        #
#  See the GNU Lesser General Public License version 2.1                 #
#  for more details (enclosed in the file licenses/LGPLv2.1).            #
#                                                                        #
##########################################################################

# Makefile for compiling Jessie independently of Frama-C.
#
# To be used independently of Frama-C, a version of Frama-C compatible with
# Jessie has to be properly installed as long as the Jessie-specific stuff.

# Do not use ?= to initialize both below variables
# (fixed efficiency issue, see GNU Make manual, Section 8.11)
ifndef FRAMAC_SHARE
FRAMAC_SHARE  :=$(shell frama-c -journal-disable -print-path)
endif
ifndef FRAMAC_LIBDIR
FRAMAC_LIBDIR :=$(shell frama-c -journal-disable -print-libpath)
endif

PLUGIN_DIR      ?= .
WHY_DISTRIB	?= $(PLUGIN_DIR)/..
JESSIE_INCLUDES	?= -I $(WHY_DISTRIB)/src -I $(WHY_DISTRIB)/jc
JCCMO		?= $(WHY_DISTRIB)/jc/jc.cmo
JCCMX		?= $(JCCMO:.cmo=.cmx)

PLUGIN_NAME:=Jessie
PLUGIN_CMO:= jessie_config jessie_options integer common rewrite \
             norm retype interp register
PLUGIN_HAS_MLI:=yes
PLUGIN_BFLAGS:=$(JESSIE_INCLUDES)
PLUGIN_OFLAGS:=$(JESSIE_INCLUDES)
PLUGIN_EXTRA_BYTE+=$(JCCMO)
PLUGIN_EXTRA_OPT+=$(JCCMX)
#PLUGIN_DEPFLAGS:=$(JESSIE_INCLUDES)
PLUGIN_DOCFLAGS:=$(JESSIE_INCLUDES)
PLUGIN_TESTS_DIRS:=jessie
PLUGIN_NO_DEFAULT_TEST:=yes

ifeq ($(FRAMAC_MAKE),yes)
unexport $(FRAMAC_MAKE)

all::  $(WHY_DISTRIB)/Makefile $(WHY_DISTRIB)/.depend why_all

.PHONY: why_all $(WHY_DISTRIB)/depend $(WHY_DISTRIB)/clean
why_all: $(WHY_DISTRIB)/Makefile $(WHY_DISTRIB)/.depend
	$(MAKE) -C $(dir $<) -j 1 all-without-frama-c-plugin

$(WHY_DISTRIB)/depend: $(WHY_DISTRIB)/Makefile
	$(MAKE) -C $(dir $@) -j 1 depend FRAMAC=no

$(WHY_DISTRIB)/clean:
	$(MAKE) -C $(dir $@) -j 1 clean

$(PLUGIN_DIR)/.depend: $(WHY_DISTRIB)/.depend

depend:: $(WHY_DISTRIB)/depend

clean::$(WHY_DISTRIB)/clean

tests:: $(WHY_DISTRIB)/bin/jessie.$(OCAMLBEST) $(WHY_DISTRIB)/bin/why.$(OCAMLBEST)

endif

$(PLUGIN_DIR)/interp.cmo: $(WHY_DISTRIB)/jc/jc.cmo

$(PLUGIN_DIR)/interp.cmi: $(WHY_DISTRIB)/jc/jc.cmi

$(PLUGIN_DIR)/interp.cmx: $(WHY_DISTRIB)/jc/jc.cmx

$(PLUGIN_DIR)/jessie_config.ml:
	echo "let jessie_local = false" > $@

$(WHY_DISTRIB)/Makefile: $(WHY_DISTRIB)/Makefile.in $(WHY_DISTRIB)/config.status
	cd $(dir $@) && ./config.status

$(WHY_DISTRIB)/.depend: $(WHY_DISTRIB)/Makefile
	$(MAKE) -C $(dir $@) -j 1 .depend FRAMAC=no

$(WHY_DISTRIB)/config.status: $(WHY_DISTRIB)/configure
	if test -e $(dir $@)/config.status; then \
	  cd $(dir $@) && ./config.status -recheck; \
	else \
	 cd $(dir $@) && ./configure ; \
	fi

$(WHY_DISTRIB)/configure: $(WHY_DISTRIB)/configure.in
	cd $(dir $@) && autoconf

$(WHY_DISTRIB)/Makefile.in: ;
$(WHY_DISTRIB)/configure.in: ;

$(WHY_DISTRIB)/%: $(WHY_DISTRIB)/Makefile $(WHY_DISTRIB)/.depend
	$(MAKE) -C $(subst /$*,,$@) -j 1 $*

PLUGIN_GENERATED_LIST+=$(JESSIE_HOME_DIR)/jessie_config.ml

include $(FRAMAC_SHARE)/Makefile.dynamic

## why 2.26+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -122,5 +122,7 @@
 
 clean::
 	rm -f *~ *.dvi *.log *.aux *.toc \
-	dep.ps doc.ps manual.ps caduceus.ps krakatoa.pdf main.pdf 
+		dep.ps doc.ps manual.ps caduceus.ps krakatoa.pdf main.pdf 
+	rm -f *.cm*
 
+

=== frama-c-plugin/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #                                                                        #
 #  This file is part of Frama-C.                                         #
 #                                                                        #
-#  Copyright (C) 2007-2009                                               #
+#  Copyright (C) 2007-2010                                               #
 #    INRIA (Institut National de Recherche en Informatique et en         #
 #           Automatique)                                                 #
 #                                                                        #
@@ -59,7 +59,7 @@
 all::  $(WHY_DISTRIB)/Makefile $(WHY_DISTRIB)/.depend why_all
 
 .PHONY: why_all $(WHY_DISTRIB)/depend $(WHY_DISTRIB)/clean
-why_all: $(WHY_DISTRIB)/Makefile $(WHY_DISTRIB)/.depend
+why_all: $(WHY_DISTRIB)/Makefile $(WHY_DISTRIB)/.depend $(PLUGIN_DIR)/interp.cmi
 	$(MAKE) -C $(dir $<) -j 1 all-without-frama-c-plugin
 
 $(WHY_DISTRIB)/depend: $(WHY_DISTRIB)/Makefile
@@ -78,11 +78,14 @@
 
 endif
 
-$(PLUGIN_DIR)/interp.cmo: $(WHY_DISTRIB)/jc/jc.cmo
+$(PLUGIN_DIR)/interp.cmo: $(PLUGIN_DIR)/interp.cmi $(WHY_DISTRIB)/jc/jc.cmo
 
 $(PLUGIN_DIR)/interp.cmi: $(WHY_DISTRIB)/jc/jc.cmi
 
-$(PLUGIN_DIR)/interp.cmx: $(WHY_DISTRIB)/jc/jc.cmx
+$(PLUGIN_DIR)/interp.cmx: $(PLUGIN_DIR)/interp.cmi $(WHY_DISTRIB)/jc/jc.cmx
+
+$(WHY_DISTRIB)/jc/jc.cmo: $(WHY_DISTRIB)/jc/jc.cmi
+$(WHY_DISTRIB)/jc/jc.cmx: $(WHY_DISTRIB)/jc/jc.cmi
 
 $(PLUGIN_DIR)/jessie_config.ml:
 	echo "let jessie_local = false" > $@

=== examples/heapsort/Makefile ===

ML=heapsort.mlw
V=$(ML:.mlw=_why.v) $(ML:.mlw=_valid.v)
VO=$(ML:.mlw=_valid.vo)

all: heap.vo Inftree.vo $(VO)

$(V): $(ML) $(WHY)
	$(WHY) $(WHYOPTIONS) $(ML)

heapsort_why.sx: swap.mlw downheap.mlw heapsort.mlw $(WHYBIN)
	$(WHY) --simplify $^

swap.check downheap.check heapsort.check: swap.mlw downheap.mlw heapsort.mlw $(WHYBIN)
	$(WHYBIN) -tc $^

heapsort_why.why: swap.mlw downheap.mlw heapsort.mlw $(WHYBIN)
	$(WHY) --why $^

include ../Makefile.common

=== debian/changelog ===
why (2.26+dfsg-2+squeeze1) stable; urgency=low

  * Add 0007-Squeeze-s-Coq-is-also-compatible.patch: why-config checks
    compatibility of provers by checking their version number. Coq
    versioned 8.2pl2 is also compatible (like 8.2pl1). Marking it as
    such so that it gets activated.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 13 Mar 2011 18:34:27 +0100

why (2.26+dfsg-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Add 0006-Cope-with-OCaml-3.12-s-Map.patch (Closes: #585459)

  [ Mehdi Dogguy ]
  * Rebuild with Coq 8.2pl2
  * Convert to 3.0 (quilt) source format.
  * Bump standards version to 3.9.0, no changes needed.
  * Bump minimum frama-c-base's version to 20100401+boron+dfsg-4~.
  * Add "make" to runtime dependencies of Why.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 20 Jul 2010 19:35:51 +0200

why (2.26+dfsg-1) unstable; urgency=low

  * New upstream release
    - Refresh patches
  * Update copyright years
  * Build-depend on ocaml (>= 3.11.1-3~) and dh-ocaml (>= 0.9~)
  * Add a debian/source/format file (Keep 1.0 format, for now)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 01 Jun 2010 21:47:05 +0200

why (2.25+dfsg-1) unstable; urgency=low

  * New upstream release
    - Refresh patches
    - Remove 0004-Use-tools-make_float_model.ocamlbest-instead-of-opt-.patch
  * Bump Standards Version to 3.8.4, no changes needed.
  * Raise minimum version for Frama-C to 20100401+boron
  * Raise minimum version for OcamlGraph to 1.4

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 27 Apr 2010 16:28:54 +0200

why (2.23+dfsg-2) unstable; urgency=low

  * Rebuild with OCaml 3.11.2
  * Correctly detect Coq-float wrt. its new path
    - Add 0006-Coq-float-can-be-in-coqlib-user-contrib-Float.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Jan 2010 23:56:15 +0100

why (2.23+dfsg-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release
    + Remove makefile.in.dpatch (fixed upstream)
    + Remove jessie_lib.dpatch (not needed anymore)
    + Needs ocamlgraph 1.3
    + Fixes detection of Alt-Ergo (Closes: #552776).
  * Refresh packaging
    + Use dh 7 features
    + Build-depend on quilt (goodbye dpatch!)
    + Add ${ocaml:Depends} in Why's Depends field
    + Add 0001-Do-not-run-tests-on-non-existant-files.patch
  * Fix some spelling errors
    + Add 0003-Fix-spelling-errors.patch
  * Fix FTBFS on bytecode architectures
    + Add 0004-Use-tools-make_float_model.ocamlbest-instead-of-opt-.patch
    + Apron also needs oct.cmxa (0002-Enable-Apron-support.patch)
    + Generate Jessie.cma
  * Fix debhelper-but-no-misc-depends
  * Fix out-of-date-standards-version
  * Set filter-pristine-tar to True in debian/gbp.conf
  * Remove libjessie-ocaml-dev which is no longer user by Frama-C and
    don't install the Jessie library.
  * Update copyright file
  * Add camlidl to Build-depends: needed to enable Arpon support

  [ Samuel Mimram ]
  * Enable apron support.
    + Add 0002-Enable-Apron-support.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Jan 2010 17:31:23 +0100

why (2.19+dfsg-2) unstable; urgency=low

  * Install why library in usr/share since there is no arch dependent
    files there.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 10 Sep 2009 14:11:00 +0200

why (2.19+dfsg-1) unstable; urgency=low

  * New Upstream Version
  * Use my Debian mail address, Remove DMUA
  * Add a 'Homepage' field in debian/control
  * Referesh path jessie_lib.dpatch
  * Fix long description for why-examples

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 27 Aug 2009 20:11:39 +0200

why (2.18.dfsg-5) unstable; urgency=low

  * Rebuild against latest Coq package, Closes: #536104.
  * Bump standards to 3.8.2
  * Tighten build-depends to ease OCaml 3.11.1 transition

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 07 Jul 2009 23:50:16 +0200

why (2.18.dfsg-4) unstable; urgency=low

  * libjessie-ocaml-dev:
    - Do not install jc.cm{x,}a
    - Only jc.{o,cmx,cmo,cmi} are installed.
  * Remove configure.dpatch

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Wed, 20 May 2009 15:38:58 +0200

why (2.18.dfsg-3) unstable; urgency=low

  * Fix erroneous usage of ifdef in debian/rules.
  * why-examples depends on non-versioned libwhy-coq and why, thanks
    Lintian.
  * Make a long description for libwhy-coq, closes: #524054.
  * Bump standards version to 3.8.1, no changes needed
  * Jessie library: 
    - Make jc_ast and jc_env fit in the pack
    - install jc.cmo and jc.cmx
    - Move the binary package to section ocaml

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Thu, 16 Apr 2009 17:23:41 +0200

why (2.18.dfsg-2) unstable; urgency=low

  * libwhy-coq replaces why (<< 2.18.dfsg-1), closes: #522440.
  * why now depends on libwhy-coq (= ${binary:Version}) and why-examples
    on why (= ${binary:Version}).

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Fri, 03 Apr 2009 22:03:21 +0200

why (2.18.dfsg-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release.
  * New binary packages:
    + libjessie-ocaml-dev:
      - Build and install jc.{cma,cmxa,a} using jessie_lib.dpatch
      - Install jc.cmi
      - Add a META file for Jessie library
    + why-examples:
      - why-examples recommends why
    + libwhy-coq:
      - Install .vo files in /usr/lib/coq/user-contrib, closes: #498713.
  * debian/rules:
    + do not compress .v,.sx,.why files
    + Use debhelper 7
    + Move logo in /usr/share/why (using logopath.dpatch)
    + Setting up manpages for krakatoa, gwhy-bin, tool-stat and why-config
  * debian/control:
    + Bump standards version to 3.8.0, no changes needed.
    + Why recommends alt-ergo and suggest libwhy-coq.
    + Add missing runtime dependency for why (on non-native-architecures).
    + Change vcs-* fields to point to Git repository
    + Depend on coq-${F:CoqABI} instead of Coq
    + Add DMUA flag with Sam's blessing
    + Remove not needed build dependency: ocamlweb
  * Add patch descriptions to configure.dpatch and logopath.dpatch

  [ Samuel Mimram ]


=== debian/control ===
Source: why
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
  debhelper (>= 7.0.50~),
  autotools-dev,
  autoconf,
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.11.1-3~),
  ocaml-best-compilers,
  camlp4,
  liblablgtk2-ocaml-dev (>= 2.12.0-3),
  coq (>= 8.2.pl1),
  libfloat-coq (>= 1:8.2-1.2-3),
  libocamlgraph-ocaml-dev (>= 1.4),
  frama-c-base (>= 20100401+boron+dfsg-4~),
  libapron-ocaml-dev (>= 0.9.10-4),
  camlidl
Standards-Version: 3.9.0
Homepage: http://why.lri.fr/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/why.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/why.git

Package: why
Architecture: any
Depends:
  ${shlibs:Depends},
  ${ocaml:Depends},
  ${misc:Depends},
  make
Suggests: libwhy-coq (= ${binary:Version})
Recommends: alt-ergo
Description: A software verification tool
 Why aims at being a verification conditions generator (VCG) back-end
 for other verification tools. It provides a powerful input language
 including higher-order functions, polymorphism, references, arrays and
 exceptions. It generates proof obligations for many systems: the proof
 assistants Coq, PVS, Isabelle/HOL, HOL 4, HOL Light, Mizar and the
 decision procedures Simplify, Alt-Ergo, Yices, CVC Lite and haRVey.

Package: why-examples
Architecture: all
Depends:
  ${misc:Depends},
  libwhy-coq,
  why
Section: doc
Description: Examples of programs certified with Why
 Why aims at being a verification conditions generator (VCG) back-end
 for other verification tools. It provides a powerful input language
 including higher-order functions, polymorphism, references, arrays and
 exceptions. It generates proof obligations for many systems: the proof
 assistants Coq, PVS, Isabelle/HOL, HOL 4, HOL Light, Mizar and the
 decision procedures Simplify, Alt-Ergo, Yices, CVC Lite and haRVey.
 .
 This package contains examples of programs verified using Why.

Package: libwhy-coq
Architecture: all
Depends:
  ${misc:Depends},
  coq-${F:CoqABI}
Replaces:
  why (<< 2.18.dfsg-1)
Section: libdevel
Description: Why library for Coq
 This package contains all useful logical definitions, lemmas with their
 proofs and axioms used by Why. Users may need this package when proving
 some proof obligations in Coq.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk
include /usr/share/coq/coqvars.mk

WHYDIR    = $(CURDIR)/debian/why
FRAMADIR  = $(WHYDIR)/$(shell frama-c -print-plugin-path)
VERSION   = $(shell cat Version | grep ^VERSION | cut -d= -f 2)
export OCAMLINIT_SED += -e 's/@VERSION@/$(VERSION)/g'

override_dh_auto_configure:
	autoconf
	./configure \
	    --host=$(DEB_HOST_GNU_TYPE) \
	    --build=$(DEB_BUILD_GNU_TYPE) \
	    --prefix=/usr \
	    --libdir=/usr/share \
	    --mandir=\$${prefix}/share/man \
	    --infodir=\$${prefix}/share/info \
	    --enable-apron=yes \
	    LDFLAGS="-Wl,-z,defs"

override_dh_auto_clean:
	[ ! -f Makefile ] || sed -e 's/include .depend.*//g' Makefile > Makefile.debian
	[ ! -f Makefile.debian ] || $(MAKE) -f Makefile.debian clean
	$(RM) -f lib/coq/*.glob

override_dh_auto_install:
	mkdir -p $(FRAMADIR)
	$(MAKE) prefix=$(WHYDIR)/usr install \
		LIBDIR=$(WHYDIR)/usr/share   \
		PLUGIN_INSTALL_DIR=$(WHYDIR)/usr/lib/frama-c/plugins \
		COQLIB=$(CURDIR)/debian/libwhy-coq/$(COQ_STDLIB_DIR)
	#Used to remove /usr/share/coq/jessie_why.v which is alone and installed by libwhy-coq
	-$(RM) -rf $(WHYDIR)/usr/share/coq/
	#There is no program using the Jessie library.
	-$(RM) -rf $(WHYDIR)/usr/share/jessie/
	#Jessie.cma is installed, no need for this extra file
	-$(RM) -f $(FRAMADIR)/Jessie.cmo
	echo 'F:CoqABI=$(COQ_ABI)' >> debian/libwhy-coq.substvars

override_dh_compress:
	dh_compress -X.v -X.sx -X.why

%:
	dh --with ocaml $@

#	dh_installchangelogs CHANGES

## why 2.29+dfsg

=== debian/changelog ===
why (2.29+dfsg-3) unstable; urgency=low

  * Remove last added patch. The problem was in Makefile.dynamic, shipped
    by frama-c-base which lacks some include statements.
    - remove 0004-ocamlgraph-is-needed-to-link-frama-c-Jessie.patch
    - Bump minimum version number for Frama-C to 20110201+carbon+dfsg-2~.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 25 Apr 2011 12:11:03 +0200

why (2.29+dfsg-2) unstable; urgency=low

  * Fix FTBFS on armel.
    - add 0004-ocamlgraph-is-needed-to-link-frama-c-Jessie.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 25 Apr 2011 00:29:49 +0200

why (2.29+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Remove old patches, which are not needed anymore.
    - Remove build-depends on coq-float (upstream switched to Flocq which
      is not packaged yet).
  * Bump minimum version of Coq to 8.3
    - and add 0001-Why-2.29-do-support-Coq-8.3.patch (upstream forgot to
      mention to why-config that Coq 8.3 is "ok").
  * Mark Alt-Ergo 0.93 as compatible
    - add 0002-Mark-alt-ergo-0.93-as-compatible.patch
  * Fix FTBFS due to non-exhaustive pattern matching
    - add 0003-Fix-non-exhaustive-pattern-matching-in-jc_annot_infe.patch
  * Set 20110201+carbon+dfsg-1~ as minimum version number for Frama-C.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Apr 2011 20:12:57 +0200

why (2.26+dfsg-4) unstable; urgency=low

  * Team upload
  * Rebuild with coq 8.2.pl2+dfsg-2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Mar 2011 08:03:27 +0100

why (2.26+dfsg-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Fix versioned build-deps to ensure smoother backports

  [ Mehdi Dogguy ]
  * Add 0007-Squeeze-s-Coq-is-also-compatible.patch: why-config checks
    compatibility of provers by checking their version number. Coq
    versioned 8.2pl2 is also compatible (like 8.2pl1). Marking it as
    such so that it gets activated.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 20 Jan 2011 21:00:18 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,11 @@
   ocaml-nox (>= 3.11.1-3~),
   ocaml-best-compilers,
   camlp4,
-  liblablgtk2-ocaml-dev (>= 2.12.0-3),
-  coq (>= 8.2.pl1),
-  libfloat-coq (>= 1:8.2-1.2-3),
-  libocamlgraph-ocaml-dev (>= 1.4),
-  frama-c-base (>= 20100401+boron+dfsg-4~),
-  libapron-ocaml-dev (>= 0.9.10-4),
+  liblablgtk2-ocaml-dev (>= 2.12.0-3~),
+  coq (>= 8.3~),
+  libocamlgraph-ocaml-dev (>= 1.4~),
+  frama-c-base (>= 20110201+carbon+dfsg-2~),
+  libapron-ocaml-dev (>= 0.9.10-4~),
   camlidl
 Standards-Version: 3.9.0
 Homepage: http://why.lri.fr/

## why 2.30%2bdfsg

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,12 @@
   camlp4,
   liblablgtk2-ocaml-dev (>= 2.12.0-3~),
   coq (>= 8.3~),
+  libfloat-coq,
   libocamlgraph-ocaml-dev (>= 1.4~),
-  frama-c-base (>= 20110201+carbon+dfsg-2~),
+  frama-c-base (>= 20111001+nitrogen+dfsg-1~),
   libapron-ocaml-dev (>= 0.9.10-4~),
   camlidl
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://why.lri.fr/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/why.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/why.git
@@ -29,10 +30,11 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
+  frama-c-base (= ${F:FramaCVersion}),
   make
 Suggests: libwhy-coq (= ${binary:Version})
 Recommends: alt-ergo
-Description: A software verification tool
+Description: Software verification tool
  Why aims at being a verification conditions generator (VCG) back-end
  for other verification tools. It provides a powerful input language
  including higher-order functions, polymorphism, references, arrays and

## why 2.30+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,19 @@
-HEVEA=hevea -fix
+HEVEA=hevea -noiso -entities -exec xxdate.exe -fix
 
-all: main.pdf manual.ps caduceus.ps $(KFILES) krakatoa.pdf
+all: main.pdf manual.ps $(KFILES) krakatoa.pdf \
+	sourcepp jessie.pdf krakatoa.html jessie.html \
+	index.html
+
+install: all
+	cp krakatoa.pdf jessie.pdf krakatoa.html jessie.html \
+		why_frama_c2-mps.png \
+		/users/www-perso/projets/krakatoa
+	cp index.html /users/www-perso/projets/krakatoa/index.html
+
+index.html:: why_frama_c2-mps.png
+
+%.html: %.prehtml
+	yamlpp  $< -o $@
 
 doc.dvi: doc.tex rules.tex macros.tex code.tex dep.ps
 
@@ -20,6 +33,27 @@
 	Flag_swap.pp Flag_body.pp \
 	contracts.bnf lexpr.bnf \
 	Gcd-nospec.pp Gcd-spec.pp Gcd.pp Gcd-lemmas.pp
+
+# for jessie
+SNIPPET=$(wildcard codes/*.c)
+SNIPPETPP:=$(patsubst codes/%.c, texpp/%.cpp, $(SNIPPET))
+
+sourcepp: $(SNIPPETPP) $(EXAMPLESPP)
+
+why_frama_c1.mps: why_frama_c.ml
+	mlpost -pdf -latex jessie.tex why_frama_c.ml
+
+why_frama_c1-mps.pdf: why_frama_c1.mps
+	mptopdf why_frama_c1.mps 
+
+why_frama_c2.mps: why_frama_c.ml
+	mlpost -pdf -latex jessie.tex why_frama_c.ml
+
+why_frama_c2-mps.pdf: why_frama_c2.mps
+	mptopdf why_frama_c2.mps 
+
+why_frama_c2-mps.png: why_frama_c2-mps.pdf
+	pdftoppm -r 150 why_frama_c2-mps.pdf | pnmtopng -transparent white > why_frama_c2-mps.png
 
 dep.ps:
 	(cd ../src; ocamldep *.ml* | ocamldot | dot -Tps) > dep.ps
@@ -65,12 +99,23 @@
 	pdflatex krakatoa.tex
 	pdflatex krakatoa.tex
 
+jessie.pdf: sourcepp jessie.tex version.tex
+	pdflatex jessie.tex
+	bibtex jessie
+	makeindex jessie
+	pdflatex jessie.tex
+	pdflatex jessie.tex
+
 february2008.pdf: $(KFILES) version.tex
 	pdflatex february2008.tex
 
 krakatoa.html: krakatoa.tex version.tex
 	rm -f krakatoa.aux
 	$(HEVEA) krakatoa.tex
+
+jessie.html: jessie.tex version.tex
+	rm -f jessie.aux
+	$(HEVEA) jessie.tex
 
 main.html: main.tex version.tex
 	rm -f main.aux
@@ -89,6 +134,10 @@
 
 %.pp: %.java pp
 	./pp -java $< > $@
+
+texpp/%.cpp: codes/%.c pp  Makefile
+	mkdir -p texpp
+	./pp -c $< > $@
 
 %.dvi: %.tex
 	latex $< && latex $<

=== frama-c-plugin/Makefile ===
--- 
+++ 
@@ -51,7 +51,6 @@
 #PLUGIN_DEPFLAGS:=$(JESSIE_INCLUDES)
 PLUGIN_DOCFLAGS:=$(JESSIE_INCLUDES)
 PLUGIN_TESTS_DIRS:=jessie
-PLUGIN_NO_DEFAULT_TEST:=yes
 
 ifeq ($(FRAMAC_MAKE),yes)
 unexport $(FRAMAC_MAKE)

=== debian/changelog ===
why (2.30+dfsg-5) unstable; urgency=low

  * Update 0001-Why-2.29-do-support-Coq-8.3.patch
    - Mark Coq 8.3pl4 as compatible.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 16 May 2012 12:54:14 +0200

why (2.30+dfsg-4) unstable; urgency=high

  * Team upload
  * Recompile with coq 8.3pl4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Apr 2012 10:00:25 +0200

why (2.30+dfsg-3) unstable; urgency=high

  * Fix 0002-Mark-alt-ergo-0.93-as-compatible.patch
    - Adapt version_regexp because "alt-ergo -version" changed.
  * Fix 0004-Default-to-why2-for-jessie-atp.patch
    - default to "gui" instead of "why2".
  * Add 0007-Replace-caduceus-invocation-by-Frama-C.patch
    - Caduceus is gone. We use Frama-C instead.
    - Adding Frama-C to Why's dependencies.
  * Setting urgency to "high" to fix those issues.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 16 Jan 2012 18:19:38 +0100

why (2.30+dfsg-2) unstable; urgency=low

  * Rebuilt with latest coq-float 1:8.3pl1-1 (no source changes).

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 12 Jan 2012 17:50:39 +0100

why (2.30+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update patches:
    - Rebase and update existing patches
    - add 0004-Default-to-why2-for-jessie-atp.patch
    - add 0005-Fix-Jc_annot_inference-use-old_reg_pos.patch
  * Add (back) Build-Depends on coq-float.
  * Bump build requirement for frama-c to 20111001+nitrogen+dfsg-1~.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Fix description-synopsis-starts-with-article in why's description.
  * Fix copyright-refers-to-deprecated-bsd-license-file
  * Fix spelling-error-in-binary
  * Mark Coq 8.3pl3 as compatible with current Why

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 02 Jan 2012 15:39:47 +0100

why (2.29+dfsg-4) unstable; urgency=low

  * Rebuild with OCaml 3.12.1.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 03 Nov 2011 22:31:40 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
   frama-c-base (>= 20111001+nitrogen+dfsg-1~),
   libapron-ocaml-dev (>= 0.9.10-4~),
   camlidl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://why.lri.fr/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/why.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/why.git
